svn commit: r275454 - user/pho/stress2/misc

Peter Holm pho at FreeBSD.org
Wed Dec 3 10:03:36 UTC 2014


Author: pho
Date: Wed Dec  3 10:03:34 2014
New Revision: 275454
URL: https://svnweb.freebsd.org/changeset/base/275454

Log:
  Verify that mkntfs exists before loading fuse.ko.
  Add new fuse test.
  
  Sponsored by:	 EMC / Isilon storage division

Added:
  user/pho/stress2/misc/fuse3.sh   (contents, props changed)
Modified:
  user/pho/stress2/misc/fuse.sh
  user/pho/stress2/misc/fuse2.sh

Modified: user/pho/stress2/misc/fuse.sh
==============================================================================
--- user/pho/stress2/misc/fuse.sh	Wed Dec  3 09:59:47 2014	(r275453)
+++ user/pho/stress2/misc/fuse.sh	Wed Dec  3 10:03:34 2014	(r275454)
@@ -34,6 +34,7 @@
 
 . ../default.cfg
 
+[ -z "`type mkntfs 2>/dev/null`" ] && exit 0
 [ -c /dev/fuse ] || kldload fuse.ko
 
 MOUNT=/usr/local/bin/ntfs-3g

Modified: user/pho/stress2/misc/fuse2.sh
==============================================================================
--- user/pho/stress2/misc/fuse2.sh	Wed Dec  3 09:59:47 2014	(r275453)
+++ user/pho/stress2/misc/fuse2.sh	Wed Dec  3 10:03:34 2014	(r275454)
@@ -33,6 +33,7 @@
 
 [ `id -u ` -ne 0 ] && echo "Must be root!" && exit 1
 
+[ -z "`type mkntfs 2>/dev/null`" ] && exit 0
 [ -c /dev/fuse ] || kldload fuse.ko
 
 . ../default.cfg

Added: user/pho/stress2/misc/fuse3.sh
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ user/pho/stress2/misc/fuse3.sh	Wed Dec  3 10:03:34 2014	(r275454)
@@ -0,0 +1,44 @@
+#!/bin/sh
+
+#
+# Copyright (c) 2014 EMC Corp.
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+#    notice, this list of conditions and the following disclaimer in the
+#    documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+
+# Demonstrate FUSE memory corruption.
+# http://people.freebsd.org/~pho/stress/log/fuse3.txt
+
+[ `id -u ` -ne 0 ] && echo "Must be root!" && exit 1
+
+# Start page stealer
+(cd ../testcases/swap; ./swap -t 10m -i 20 -h) &
+sleep 10
+
+while pgrep -q swap; do
+	kldload fuse.ko
+	kldunload fuse.ko
+done
+wait


More information about the svn-src-user mailing list